/**
 * @desc
 * @author linyuanjie
 * @date 2021/6/22
 */

import request from '@/router/axios'

// 查询
export function fetchList(query) {
  return request({
    url: '/admin/wmProject/page',
    method: 'get',
    params: query
  })
}
// 新增
export function addObj(obj) {
  return request({
    url: '/admin/wmProject',
    method: 'post',
    data: obj
  })
}
// 更新
export function putObj(obj) {
  return request({
    url: '/admin/wmProject',
    method: 'put',
    data: obj
  })
}
// 根据id查询
export function getObj(id) {
  return request({
    url: `/admin/wmProject/${id}`,
    method: 'get'
  })
}
// 删除
export function delObj(id) {
  return request({
    url: `/admin/wmProject/${id}`,
    method: 'delete'
  })
}
// 查询所有项目
export function getAllProject(query) {
  return request({
    url: '/admin/wmProject/list',
    method: 'get',
    params: query
  })
}
